THashStat._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum THashStat._Fields

- java.lang.Object
- - java.lang.Enum<THashStat._Fields>
  - - com.sleepycat.thrift.THashStat._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<THashStat._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    THashStat

      public static enum THashStat._Fields
      extends java.lang.Enum<THashStat._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BFREE`
    `BIG_BFREE`
    `BIG_PAGES`
    `BUCKETS`
    `DUP`
    `DUP_FREE`
    `FFACTOR`
    `FREE`
    `MAGIC`
    `META_FLAGS`
    `NUM_BLOBS`
    `NUM_DATA`
    `NUM_KEYS`
    `OVERFLOWS`
    `OVFL_FREE`
    `PAGE_COUNT`
    `PAGE_SIZE`
    `VERSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static THashStat._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static THashStat._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static THashStat._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static THashStat._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static THashStat._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BFREE

          public static final THashStat._Fields BFREE

    - #### BIG_BFREE

          public static final THashStat._Fields BIG_BFREE

    - #### BIG_PAGES

          public static final THashStat._Fields BIG_PAGES

    - #### BUCKETS

          public static final THashStat._Fields BUCKETS

    - #### DUP

          public static final THashStat._Fields DUP

    - #### DUP_FREE

          public static final THashStat._Fields DUP_FREE

    - #### FFACTOR

          public static final THashStat._Fields FFACTOR

    - #### FREE

          public static final THashStat._Fields FREE

    - #### MAGIC

          public static final THashStat._Fields MAGIC

    - #### META_FLAGS

          public static final THashStat._Fields META_FLAGS

    - #### NUM_BLOBS

          public static final THashStat._Fields NUM_BLOBS

    - #### NUM_DATA

          public static final THashStat._Fields NUM_DATA

    - #### NUM_KEYS

          public static final THashStat._Fields NUM_KEYS

    - #### OVERFLOWS

          public static final THashStat._Fields OVERFLOWS

    - #### OVFL_FREE

          public static final THashStat._Fields OVFL_FREE

    - #### PAGE_COUNT

          public static final THashStat._Fields PAGE_COUNT

    - #### PAGE_SIZE

          public static final THashStat._Fields PAGE_SIZE

    - #### VERSION

          public static final THashStat._Fields VERSION

  - ### Method Detail

    - #### values

          public static THashStat._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (THashStat._Fields c : THashStat._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static THashStat._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static THashStat._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static THashStat._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static THashStat._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.